> For clean Markdown of any page, append .md to the page URL. > For a complete documentation index, see https://apidocs.polytomic.com/2024-02-08/api-reference/model-sync/targets/list/llms.txt. > For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://apidocs.polytomic.com/_mcp/server. # List Sync Targets GET https://app.polytomic.com/api/connections/{id}/modelsync/targetobjects Lists the target objects available on a connection for use as a model sync destination. If the connection supports creating new destinations, the `target_creation` object will contain information on what properties are required to create the target. Target creation properties are all string values; the `enum` flag indicates if the property has a fixed set of valid values. When `enum` is `true`, the [Target Creation Property Values](../../../../../api-reference/model-sync/targets/get-create-property) endpoint can be used to retrieve the valid values. Alternatively, pass `include_target_creation_values=true` to inline the `values` array for each enum property directly in this response. ## Sync modes The sync mode determines which records are written to the destination for a model sync. The `modes` array for a target object defines the `id` along with what operations the mode supports. Reference: https://apidocs.polytomic.com/api-reference/model-sync/targets/list ## Authentication - `Authorization` header (basic auth, required) — This is the Polytomic deployment key (on-premises only) - `Authorization` header (bearer token, required) — This is the Polytomic API key ## Request ### Path parameters - `id` (string, required) ### Query parameters - `include_target_creation_values` (boolean, optional, default: false) — When true, inline the valid values for each enum target-creation property in the response. Skips the separate call to retrieve property values. ## Response ### 200 OK - `data` (list of V4TargetObject, optional, nullable) - `target_creation` (V4TargetCreator, optional) ## Errors ### 400 Bad Request Error Bad Request - `key` (string, optional) - `message` (string, optional) - `metadata` (map from string to any, optional) - `status` (integer, optional) ### 401 Unauthorized Error Unauthorized - `code` (integer, optional) — Application-specific error code. - `context` (map from string to any, optional) — Application context. - `error` (string, optional) — Error message. - `status` (string, optional) — Status text. ### 403 Forbidden Error Forbidden - `key` (string, optional) - `message` (string, optional) - `metadata` (map from string to any, optional) - `status` (integer, optional) ### 404 Not Found Error Not Found - `key` (string, optional) - `message` (string, optional) - `metadata` (map from string to any, optional) - `status` (integer, optional) ### 500 Internal Server Error Internal Server Error - `key` (string, optional) - `message` (string, optional) - `metadata` (map from string to any, optional) - `status` (integer, optional) ## Types ### V4TargetObject - `id` (string, optional) — The identifier of the target object. - `modes` (list of V4SupportedMode, optional) — The supported sync modes and their properties for the target object. - `name` (string, optional) — The name of the target object. ### V4TargetCreator - `properties` (list of V4TargetPropertyValues, optional) — The properties that are required for target creation. - `supported` (boolean, optional) — True if the connection supports target creation. ### V4SupportedMode - `id` (enum, optional) - Allowed values: `create`, `update`, `updateOrCreate`, `replace`, `append`, `remove`, `snapshot` - `requires_identity` (boolean, optional) — True if the sync mode requires an identity field mapping. - `supports_per_field_mode` (boolean, optional) — True if the target supports per-field sync modes. - `supports_target_filters` (boolean, optional) — True if the sync mode supports target filters. ### V4TargetPropertyValues - `enum` (boolean, optional) — True if the property is an enum. - `id` (string, optional) — The identifier of the target property. - `title` (string, optional) — A human readable title for the target property. - `values` (list of UtilEnumValue, optional) — Valid values for the target property. ### UtilEnumValue - `label` (string, optional, nullable) - `value` (string, optional) ## Examples **Response** ```json { "data": [ { "id": "system_object1", "modes": [ { "id": "create", "requires_identity": true, "supports_per_field_mode": true, "supports_target_filters": true } ], "name": "Contact" } ], "target_creation": { "properties": [ { "enum": true, "id": "account", "title": "Account ID", "values": [ {}, {} ] } ], "supported": true } } ``` **SDK Code** ```python import requests url = "https://app.polytomic.com/api/connections/248df4b7-aa70-47b8-a036-33ac447e668d/modelsync/targetobjects" headers = { "X-Polytomic-Version": "X-Polytomic-Version" } response = requests.get(url, headers=headers, auth=("", "")) print(response.json()) ``` ```javascript const url = 'https://app.polytomic.com/api/connections/248df4b7-aa70-47b8-a036-33ac447e668d/modelsync/targetobjects'; const credentials = btoa(":"); const options = { method: 'GET', headers: { 'X-Polytomic-Version': 'X-Polytomic-Version', Authorization: `Basic ${credentials}` } }; try { const response = await fetch(url, options); const data = await response.json(); console.log(data); } catch (error) { console.error(error); } ``` ```go package main import ( "fmt" "net/http" "io" ) func main() { url := "https://app.polytomic.com/api/connections/248df4b7-aa70-47b8-a036-33ac447e668d/modelsync/targetobjects" req, _ := http.NewRequest("GET", url, nil) req.Header.Add("X-Polytomic-Version", "X-Polytomic-Version") req.SetBasicAuth("", "") res, _ := http.DefaultClient.Do(req) defer res.Body.Close() body, _ := io.ReadAll(res.Body) fmt.Println(res) fmt.Println(string(body)) } ``` ```ruby require 'uri' require 'net/http' url = URI("https://app.polytomic.com/api/connections/248df4b7-aa70-47b8-a036-33ac447e668d/modelsync/targetobjects") http = Net::HTTP.new(url.host, url.port) http.use_ssl = true request = Net::HTTP::Get.new(url) request["X-Polytomic-Version"] = 'X-Polytomic-Version' request.basic_auth("", "") response = http.request(request) puts response.read_body ``` ```java import com.mashape.unirest.http.HttpResponse; import com.mashape.unirest.http.Unirest; HttpResponse response = Unirest.get("https://app.polytomic.com/api/connections/248df4b7-aa70-47b8-a036-33ac447e668d/modelsync/targetobjects") .header("X-Polytomic-Version", "X-Polytomic-Version") .basicAuth("", "") .asString(); ``` ```php request('GET', 'https://app.polytomic.com/api/connections/248df4b7-aa70-47b8-a036-33ac447e668d/modelsync/targetobjects', [ 'headers' => [ 'X-Polytomic-Version' => 'X-Polytomic-Version', ], 'auth' => ['', ''], ]); echo $response->getBody(); ``` ```csharp using RestSharp; using RestSharp.Authenticators; var client = new RestClient("https://app.polytomic.com/api/connections/248df4b7-aa70-47b8-a036-33ac447e668d/modelsync/targetobjects"); client.Authenticator = new HttpBasicAuthenticator("", ""); var request = new RestRequest(Method.GET); request.AddHeader("X-Polytomic-Version", "X-Polytomic-Version"); IRestResponse response = client.Execute(request); ``` ```swift import Foundation let credentials = Data(":".utf8).base64EncodedString() let headers = [ "X-Polytomic-Version": "X-Polytomic-Version", "Authorization": "Basic \(credentials)" ] let request = NSMutableURLRequest(url: NSURL(string: "https://app.polytomic.com/api/connections/248df4b7-aa70-47b8-a036-33ac447e668d/modelsync/targetobjects")! as URL, cachePolicy: .useProtocolCachePolicy, timeoutInterval: 10.0) request.httpMethod = "GET" request.allHTTPHeaderFields = headers let session = URLSession.shared let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in if (error != nil) { print(error as Any) } else { let httpResponse = response as? HTTPURLResponse print(httpResponse) } }) dataTask.resume() ```